Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## things.thing
Enum ResultExpectation

    java.lang.Object
      java.lang.Enum<ResultExpectation>
          things.thing.ResultExpectation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultExpectation>

    public enum ResultExpectation

extends java.lang.Enum<ResultExpectation>

The expectation for a defined result.

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen

Enum Constant Summary
`INFO` The result is informational.
`METRIC` The result is a metric.
`PASS_FAIL` The result either passed or failed.

Method Summary
`static ResultExpectation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultExpectation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PASS_FAIL

    public static final ResultExpectation PASS_FAIL

  The result either passed or failed. Any state that isn't PASS will be a failure.

### INFO

    public static final ResultExpectation INFO

  The result is informational. It will not count against any pass criteria.

### METRIC

    public static final ResultExpectation METRIC

  The result is a metric. It may count against pass criteria, depending on the parent.

Method Detail

### values

    public static ResultExpectation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultExpectation c : ResultExpectation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultExpectation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Things.